#pragma once

#include "resource_manager.h"
#include "audio_music.h"

namespace Halley {
	class MusicManager : public ResourceManager<AudioMusic> {
	public:
		MusicManager(String basePath);

	protected:
		virtual shared_ptr<AudioMusic> load(String name);
	};
}
